<?php
/**
 * The template for displaying archive pages
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package Walser
 * @since 1.0
 */

get_header(); ?>

	<!-- Main content -->
	<section id="content" class="pro_main layout_main">
		<div class="row">

			<?php if ( have_posts() ) : ?>

			<header class="page-header">
				<?php
					the_archive_title( '<h1 class="page-title">', '</h1>' );
					the_archive_description( '<div class="taxonomy-description">', '</div>' );
				?>
			</header>

			<?php
			while ( have_posts() ) : the_post();

				get_template_part( 'template-parts/content', get_post_format() );

			endwhile;

			// Pagination.
			the_posts_pagination( array(
				'prev_text'          => esc_html__( '&laquo; Previous', 'walser' ),
				'next_text'          => esc_html__( 'Next &raquo;', 'walser' ),
				'before_page_number' => '<span class="meta-nav screen-reader-text">' . esc_html__( 'Page', 'walser' ) . ' </span>',
				'screen_reader_text' => '',
			) );

			// If no content, include the 404 template.
			else :
				get_template_part( 'template-parts/content', 'none' );
			endif;
			?>

		</div>
	</section>
</main>

<?php get_footer(); ?>