<?php
/**
 * The Template for BuddyPress pages.
 *
 * @link https://codex.buddypress.org/themes/theme-compatibility-1-7/template-hierarchy/
 *
 * @package Walser
 * @since 1.0.7
 */

get_header(); ?>

			<!-- Main content -->
			<div id="content" class="pro_main layout_main">
				<div class="row">

					<!-- Loop Start -->
					<?php if ( have_posts() ) : while ( have_posts() ) : the_post(); ?>

					<div id="main-content" class="container">
						<div class="bp-content col">

							<!-- Page title -->
							<h1><?php the_title(); ?></h1>

							<div class="post-body">

								<!-- Page content -->
								<?php the_content(); ?>

								<div class="clear"></div>

								<!-- Page pagination -->
								<?php wp_link_pages(
									array(
										'before' => '<div class="page-links">' . esc_html__( 'Pages:', 'walser' ),
										'after' => '</div>',
									)
								); ?>

							</div>

						</div>

					</div>

					<?php endwhile; ?>

					<?php // If no content, include the 404 template.
					else :

						get_template_part( 'template-parts/content', 'none' );

					endif; ?>
					<!-- Loop End -->

				</div>
			</div>

		</main>

<?php get_footer(); ?>