<?php
/**
 * The template for displaying the footer
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package Walser
 * @since 1.0
 */

?>

		<!-- Site footer -->
		<footer class="siteFooter">
			<div class="layout_main">
				<div class="row footer_main">

					<!-- Footer sidebars -->
					<?php get_sidebar( 'bottom' ); ?>

					<!-- Footer block #1 -->
					<div class="col f1 footer_1_2">
						<?php if ( is_active_sidebar( 'sidebar-copy' ) ) {
							dynamic_sidebar( 'sidebar-copy' );
						} else { ?>
							<p><?php esc_html_e( 'Walser is a member of Dead Writers Society' , 'walser' ) ?></p>
						<?php } ?>
					</div>

					<!-- Footer block #2 -->
					<div class="col f2 footer_1_2">
						<p><a href="<?php echo esc_url( esc_html__( 'https://wordpress.org/', 'walser' ) ); ?>">
							<?php /* translators: %s: WordPress link */ printf( esc_html__( 'Proudly powered by %s', 'walser' ), 'WordPress' ); ?>
						</a></p>
					</div>

				</div>
			</div>
		</footer>

		<!-- Search Modal Window -->
		<div id="walser-search" class="modal">
			<span class="close">&#215;</span>
			<div class="modal-content">
				<?php get_search_form(); ?>
			</div>
		</div>

	</div>

<?php wp_footer(); ?>

</body>
</html>