<?php
/**
 * The template for displaying index page
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package Walser
 * @since 1.0
 */

get_header(); ?>

			<!-- Main content -->
			<section id="content" class="pro_main layout_main">
				<div class="row">

					<?php if ( is_front_page() && is_home() ) {
						// Default homepage.
					} elseif ( is_front_page() ) {
						// Static homepage.
					} elseif ( is_home() ) {
						// Blog.
						echo '<header class="page-header"><h1 class="page-title">' . esc_html__( 'Blog', 'walser' ) . '</h1></header>';
					} else {
						// Everyting else.
					} ?>

					<?php if ( have_posts() ) : while ( have_posts() ) : the_post();

						get_template_part( 'template-parts/content', get_post_format() );

					endwhile;

						// Pagination.
						the_posts_pagination( array(
							'show_all'     		 => false,
							'end_size'     		 => 1,
							'mid_size'     		 => 1,
							'prev_next'    		 => true,
							'prev_text'          => esc_html__( '&laquo; Previous', 'walser' ),
							'next_text'          => esc_html__( 'Next &raquo;', 'walser' ),
							'before_page_number' => '',
							'screen_reader_text' => '',
						) );

					else:

						// If no content.
						get_template_part( 'template-parts/content', 'none' );

					endif; ?>

				</div>
			</section>

		</main>

<?php get_footer(); ?>