<?php
/**
 * The Template for displaying pages.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package Walser
 * @since 1.0
 */

get_header(); ?>

			<!-- Main content -->
			<div id="content" class="pro_main layout_main">
				<div class="row">

					<!-- Loop Start -->
					<?php if ( have_posts() ) : while ( have_posts() ) : the_post(); ?>

					<div id="main-content" class="container">
						<div class="post-content col">

							<!-- Page title -->
							<?php $walser_ttl = get_the_title(); if ( $walser_ttl !== '' ) { ?>
								<h1><?php the_title(); ?></h1>
							<?php } else { ?>
								<h1 class="page-no-title"><?php esc_html_e( 'No title', 'walser' ); ?></h1>
							<?php } ?>

							<div class="post-body">

								<!-- Page content -->
								<?php the_content(); ?>

								<div class="clear"></div>

								<!-- Page pagination -->
								<?php wp_link_pages(
									array(
										'before' => '<div class="page-links">' . esc_html__( 'Pages:', 'walser' ),
										'after' => '</div>',
									)
								); ?>

							</div>

							<!-- Comments -->
							<?php if ( comments_open() || get_comments_number() ) { ?>
							<div class="post-comments">
								<?php comments_template(); ?>
							</div>
							<?php } ?>

						</div>

						<!-- Main Sidebar -->
						<aside class="sidebar-content col">
							<?php get_sidebar( 'sidebar' ); ?>
						</aside>

					</div>

					<?php endwhile; ?>

					<?php // If no content, include the 404 template.
					else :

						get_template_part( 'template-parts/content', 'none' );

					endif; ?>
					<!-- Loop End -->

				</div>
			</div>

		</main>

<?php get_footer(); ?>