<?php
/**
 * Template for displaying search forms
 *
 * @link https://developer.wordpress.org/reference/functions/get_search_form/
 *
 * @package Walser
 * @since 1.0
 */

?>

<form role="search" method="get" class="search-form" action="<?php echo esc_url( home_url( '/' ) ); ?>">
	<input type="search" id="search-form" class="form-control" placeholder="<?php echo esc_attr_x( 'Search&hellip;', 'placeholder', 'walser' ); ?>" value="<?php echo esc_attr( get_search_query() ); ?>" required="required" name="s"/>
	<button type="submit" class="search-submit"><?php echo esc_html_x( 'Search', 'label', 'walser' ); ?></button>
</form>