<?php
/**
 * The template part for displaying content
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package Walser
 * @since 1.0.0
 */

?>

<!-- Start of post -->
<div id="post-<?php the_ID(); ?>" <?php post_class( 'col post-preview' ); ?>>

	<!-- Post thumbnail -->
	<div class="post-img">
		<?php if ( has_post_thumbnail() ) {
			the_post_thumbnail( 'walser-min-thumb' );
		} else {
			echo '<img class="wp-post-image" src="' . esc_url( get_template_directory_uri() ) . '/images/none.png" alt="' . esc_attr( get_the_title() ) . '" >';
		} ?>
	</div>

	<!-- Post meta -->
	<div class="post-entry">

		<!-- Post categories -->
		<div class="entry-header">
			<div class="post-cats">
				<?php $categories = get_the_category();
					if ( $categories ) {
						foreach ( $categories as $category ) {
							echo  '<a href="' . esc_url( get_category_link( $category->term_id ) ) . '">' . esc_html( $category->name ) . '</a> ';
						}
					}
				?>
			</div>
		</div>

		<!-- Post format icon -->
		<div class="post-format">
			<?php if ( has_post_format() ) { ?>
				<a href="<?php echo esc_url( get_post_format_link( esc_html( get_post_format() ) ) ); ?>" title="<?php esc_attr_e( 'See all posts of this format', 'walser' ); ?>">
					<span class="format-icon"></span>
				</a>
			<?php } else { ?>
				<span class="format-icon"></span>
			<?php } ?>
		</div>

		<!-- Post title -->
		<div class="entry-content">
			<?php $walser_ttl = get_the_title(); if ( $walser_ttl !== '' ) { ?>
				<h2 class="h1"><a class="post-link" title="<?php echo esc_attr( get_the_title() ); ?>" href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h2>
			<?php } else { ?>
				<h2 class="h1 no-title"><a class="post-link" href="<?php esc_url( the_permalink() ); ?>"><?php esc_html_e( 'No title', 'walser' ); ?></a></h2>
			<?php } ?>
		</div>

		<!-- Post author and date of publication -->
		<div class="entry-footer">

			<div class="entry-meta">
				<div class="entry-author"><i class="fa fa-user" aria-hidden="true"></i> <?php echo esc_html( get_the_author() ); ?></div>
				<div class="entry-date"><i class="fa fa-calendar-alt" aria-hidden="true"></i> <?php echo esc_html( get_the_date() ); ?></div>
			</div>

			<!-- Post management -->
			<?php global $current_user;
			wp_get_current_user();
			if ( is_user_logged_in() && $current_user->ID == $post->post_author ) { ?>
				<div class="entry-cog">
					<div class="cogs">
						<a class="cog-edit" href="<?php echo esc_url( get_edit_post_link() ); ?>"><?php esc_html_e( 'Edit', 'walser' ); ?></a><br>
						<a class="cog-del" href="<?php echo esc_url( get_delete_post_link() ); ?>"><?php esc_html_e( 'Delete', 'walser' ); ?></a>
					</div>
					<span class="cog"><i class="fa fa-cog" aria-hidden="true"></i></span>
				</div>
			<?php } ?>

		</div>
	</div>
</div>
<!-- End of post -->