<?php
/**
 * The template part for displaying related posts
 *
 * @package Walser
 * @since 1.0
 */

?>

<!-- Related posts -->
<div class="post-rel">

	<?php $walser_rel_posts = $post;
	global $post;

	$categories = get_the_category( $post->ID );
	if ( $categories ) {
		$category_ids = array();
		foreach ( $categories as $individual_category ) $category_ids[] = $individual_category->term_id;

		$args = array(
			'category__in'        => $category_ids,
			'post__not_in'        => array( $post->ID ),
			'posts_per_page'      => 3,
			'orderby'			  => 'rand',
			'ignore_sticky_posts' => 1,
			);

		$walser_new_query = new wp_query( $args );
		if ( $walser_new_query->have_posts() ) {
			echo '<div id="related_posts"><h2>';
			esc_html_e( 'Related Posts', 'walser' );
			echo '</h2><div class="row">';
			while ( $walser_new_query->have_posts() ) {
				$walser_new_query->the_post(); ?>

					<!-- Start of related post -->
					<div id="post-<?php the_ID(); ?>" <?php post_class( 'col post-preview' ); ?>>

						<div class="post-img">
						<?php if ( has_post_thumbnail() ) {
							the_post_thumbnail( 'walser-min-thumb' );
						} else {
							echo '<img class="wp-post-image" src="' . esc_url( get_template_directory_uri() ) . '/images/none.png" alt="' . esc_attr( get_the_title() ) . '" >';
						} ?>
						</div>

						<section class="post-entry">
							<div class="entry-header row">
								<div class="post-cats">
									<?php echo get_the_author(); ?>
								</div>
							</div>

							<div class="entry-content">
								<?php $walser_ttl = get_the_title(); if ( $walser_ttl !== '' ) { ?>
									<h2 class="h1"><a class="post-link" href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h2>
								<?php } else { ?>
									<h2 class="h1 no-title"><a class="post-link" href="<?php the_permalink(); ?>"><?php esc_html_e( 'No title', 'walser' ); ?></a></h2>
								<?php } ?>
							</div>

							<div class="entry-footer">
								<?php echo esc_html( get_the_date() ); ?>
							</div>
						</section>
					</div>
					<!-- End of related post -->

				<?php } // End while().
				echo '</div></div>';
		} // End if().
	} // End if().

	wp_reset_postdata(); ?>
</div>